### Method

# FwupdPlugin Progress set_percentage

since: 1.7.0

#### Declaration [src]

    void
    fu_progress_set_percentage (
      FuProgress* self,
      guint percentage
    )

#### Description [src]

Sets the progress percentage complete.

NOTE: this must be above what was previously set, or it will be rejected.

Available since: 1.7.0

#### Parameters

`percentage`

  Type: `guint`

  Value between 0% and 100%.